cancel
Showing results for 
Search instead for 
Did you mean: 

AI Suite 3 - Repack

levelKro
Level 7
Hello, today is for report my AI Suite 3 package of all and up-to-date applications of this suite.

Since I known the AI Suite, I have many times problems to find modules and work it correctly, some module can cause error if another is present, or ASUS not update a mainboard model with latest app version, etc....
This GitHub is created for download with one pack all the AI Suite and use it without any errors or compatibility issues. No modification of files, is same of the ASUS website, no additions of unofficial application, and without any malware.

If you have a module not listed in this package, please report the link to download for adding it.

87597


https://github.com/levelKro/AI-Suite-III-Repack
238 Views
15 REPLIES 15

zocker
Level 9
@levelKro in your latest build there is not the latest DIP.
i7-13700K
TUF GAMING Z690-PLUS
ASUS TUF Gaming GeForce RTX 4090 24GB
Creative Sound BlasterX AE-5 Plus
32GB Corsair Vengeance CMK32GX5M2B5600C36
Samsung SSD 970 EVO Plus 1TB (System)
Samsung SSD 970 EVO Plus 2TB (Gaming)

zocker wrote:
@levelKro in your latest build there is not the latest DIP.


I know... but when trying to install (from 3.00.76 ) it I got two errors, one with DipAway and other for a missing DLL; dip4.dll.

I have keep the installation of this DIP version (2.00.65), in the pack this is the old version, 2.00.02 but it's work. If find an DIP version working in newest, I add it 🙂

zocker
Level 9
I have deleted the DIP5_2.00.02 folder of your pack and pasted the DIP5 folder of the latest official version and it works fine.
i7-13700K
TUF GAMING Z690-PLUS
ASUS TUF Gaming GeForce RTX 4090 24GB
Creative Sound BlasterX AE-5 Plus
32GB Corsair Vengeance CMK32GX5M2B5600C36
Samsung SSD 970 EVO Plus 1TB (System)
Samsung SSD 970 EVO Plus 2TB (Gaming)

zocker wrote:
I have deleted the DIP5_2.00.02 folder of your pack and pasted the DIP5 folder of the latest official version and it works fine.

Not working for me, I try to find where are the problem. You can answer this question ?

You have a previous installation of DIP ?
If yes, this is the 2.00.02 before install the 2.00.65 ?
You have updated or removed the old version and installed the new after ?
You running a AMD or INTEL cpu ?

levelKro wrote:
Not working for me, I try to find where are the problem. You can answer this question ?

You have a previous installation of DIP ?
If yes, this is the 2.00.02 before install the 2.00.65 ?
You have updated or removed the old version and installed the new after ?
You running a AMD or INTEL cpu ?


Yes i have updated my existing version of DIP 2.00.69
I have a Intel System.
i7-13700K
TUF GAMING Z690-PLUS
ASUS TUF Gaming GeForce RTX 4090 24GB
Creative Sound BlasterX AE-5 Plus
32GB Corsair Vengeance CMK32GX5M2B5600C36
Samsung SSD 970 EVO Plus 1TB (System)
Samsung SSD 970 EVO Plus 2TB (Gaming)

zocker wrote:
Yes i have updated my existing version of DIP 2.00.69
I have a Intel System.


After many tries, I can't make it work for me. I have looked difference between the 2 installed files in folder, DLL about DipAwayMode are not the same and don't want; 1) replace the dll of 2.00.65 by the 2.00.02, it's make no sense, and 2) I not figure how to make it for running with the AISuite Pack without files manipulations manually.

Is not for the fun Asus release this Suite for motherboard and not have one download page. I suggest a version for some specific motherboard or anything like that. The problem is not the processor, because in files, the RyzenCLI are present (both versions).

I can't add a version I can't test. I suggest you clone my repository and start a new branch with your own tests, and can specified the CPU or Mainboard you use for test it.

Natively, my mainboard never have access to DIP5 module, this is the PPSU and FanXpert 2 are downloadable on the support page. I have found others versions of modules and the DIP5 2.00.02 with another mainboard page (not remember the model exactly, but i guest this is the Z470*, I have the B350*).

The problem is not the same of the use of PPSU and FanXpert 2; can't load module but AI Suite start in this case, but for the DIP5 problem I have, is the AI Suite can't start because an error about contact the DipAwayMode RPC, after get another message about an error in address ?????? in AiSuite.exe, another message of error about Dip4.dll not found (but are present). This make also 1/2 times my Nvidia Driver Fan Control crash (and using a ASUS GTX1050Ti).

If you find any version over 2.00.02, I am ready to test it, but the current version work well and not need to be updated; newer is not necessary better. Keep a look on release of Utilities into the support page of your mainboard, some time a fix is released after few day for incompatibility (ASUS is good for Hardware, but not for software :P).